# Package cx.ath.matthew.cgi

package cx.ath.matthew.cgi

Class
Description
CGI
This is the main class you have to extend with your CGI program.
CGIErrorHandler
Interface to handle exceptions in the CGI.
CGIHeaderSentException
Thrown if the headers have already been sent and CGI.header is called.
CGIInvalidContentFormatException
Thrown if both raw and text data are set in the same page.
CheckBox
DefaultErrorHandler
Interface to handle exceptions in the CGI.
DisplayField
DropDown
Field
HiddenField
HTMLForm
Class to manage drawing HTML forms
MultipleDropDown
NewTable
Password
Radio
SubmitButton
TextArea
TextField